#!/bin/bash

set -e

workdir=$(realpath _test)

mkdir -p $workdir/datadir

export SB_DATADIR=$workdir/datadir
export SB_ADMIN_KEY=$(cat $workdir/adminkey.txt)
export SB_COOKIES_TXT=$workdir/cookies.txt
export SB_GOOGABUSE=$(cat $workdir/googabuse.txt)
export SB_REPORT_WH=$(cat $workdir/webhook.txt)

source $(pipenv --venv)/bin/activate
uvicorn app:app --host 0.0.0.0 --port 5000
